Tp::BaseCallContentDTMFInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseCallContentDTMFInterface Class Reference
Connection manager service implementation

Base class for implementations of Call.Content.Interface.DTMF. More...

`#include <TelepathyQt/BaseCall>`

Inherits Tp::AbstractCallContentInterface.

## Public Types
typedef Callback2< void, uchar, DBusError * > | StartToneCallback
typedef Callback1< void, DBusError * > | StopToneCallback
typedef Callback2< void, const QString &, DBusError * > | MultipleTonesCallback

## Public Member Functions
virtual | ~BaseCallContentDTMFInterface ()
QVariantMap | immutableProperties () const
bool | currentlySendingTones () const
void | setCurrentlySendingTones (bool sendingTones)
QString | deferredTones () const
void | setDeferredTones (const QString &deferredTones)
void | setStartToneCallback (const StartToneCallback &cb)
void | setStopToneCallback (const StopToneCallback &cb)
void | setMultipleTonesCallback (const MultipleTonesCallback &cb)
Public Member Functions inherited from Tp::AbstractCallContentInterface
| AbstractCallContentInterface (const QString &interfaceName)
virtual | ~AbstractCallContentInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseCallContentDTMFInterfacePtr | create ()
template<typename BaseCallContentDTMFInterfaceSubclass >
static SharedPtr < BaseCallContentDTMFInterfaceSubclass > | create ()

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Call.Content.Interface.DTMF.

## Member Typedef Documentation

typedef Callback2<void, uchar, DBusError*> Tp::BaseCallContentDTMFInterface::StartToneCallback

typedef Callback1<void, DBusError*> Tp::BaseCallContentDTMFInterface::StopToneCallback

typedef Callback2<void, const QString&, DBusError*> Tp::BaseCallContentDTMFInterface::MultipleTonesCallback

## Constructor & Destructor Documentation

Tp::BaseCallContentDTMFInterface::~BaseCallContentDTMFInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseCallContentDTMFInterfacePtr Tp::BaseCallContentDTMFInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseCallContentDTMFInterfaceSubclass >

static SharedPtr<BaseCallContentDTMFInterfaceSubclass> Tp::BaseCallContentDTMFInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseCallContentDTMFInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

bool Tp::BaseCallContentDTMFInterface::currentlySendingTones | ( |  | ) | const

void Tp::BaseCallContentDTMFInterface::setCurrentlySendingTones | ( | bool | sendingTones | ) |

QString Tp::BaseCallContentDTMFInterface::deferredTones | ( |  | ) | const

void Tp::BaseCallContentDTMFInterface::setDeferredTones | ( | const QString & | deferredTones | ) |

void Tp::BaseCallContentDTMFInterface::setStartToneCallback | ( | const StartToneCallback & | cb | ) |

void Tp::BaseCallContentDTMFInterface::setStopToneCallback | ( | const StopToneCallback & | cb | ) |

void Tp::BaseCallContentDTMFInterface::setMultipleTonesCallback | ( | const MultipleTonesCallback & | cb | ) |